| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkGraphics::ShaderInstanceCustomSlot Class Referenceabstract

A custom slot, implementable by external code. More...

Inheritance diagram for nkGraphics::ShaderInstanceCustomSlot:

## Public Member Functions
| ShaderInstanceCustomSlot () noexcept
virtual | ~ShaderInstanceCustomSlot ()
nkMemory::StringView | getTypeName () const
nkMemory::StringView | getSemanticName () const
void | setSemanticName (nkMemory::StringView value)
virtual unsigned int | getDataByteSize ()=0
virtual void | fillDataBuffer (Entity *caller, void *buffer)=0

## Detailed Description

A custom slot, implementable by external code.

## Constructor & Destructor Documentation

## ◆ ShaderInstanceCustomSlot()

nkGraphics::ShaderInstanceCustomSlot::ShaderInstanceCustomSlot | ( |  | ) |
| noexcept

Constructor.

## ◆ ~ShaderInstanceCustomSlot()

virtual nkGraphics::ShaderInstanceCustomSlot::~ShaderInstanceCustomSlot | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ getTypeName()

nkMemory::StringView nkGraphics::ShaderInstanceCustomSlot::getTypeName | ( |  | ) | const

Returns
  The type name of the slot.

## ◆ getSemanticName()

nkMemory::StringView nkGraphics::ShaderInstanceCustomSlot::getSemanticName | ( |  | ) | const

Returns
  The semantic name provided by the slot.

## ◆ setSemanticName()

void nkGraphics::ShaderInstanceCustomSlot::setSemanticName | ( | nkMemory::StringView | value | ) |

Sets the semantic name to use for the data. This has to correspond to the semantic name declared in the shader.

Parameters

  value | The name to set

## ◆ getDataByteSize()

virtual unsigned int nkGraphics::ShaderInstanceCustomSlot::getDataByteSize | ( |  | ) |
| pure virtual

Returns
  The size of the data filled by the slot, in bytes, for an instance entry.

Implemented in nkGraphics::ShaderInstanceCustomDummySlot.

## ◆ fillDataBuffer()

virtual void nkGraphics::ShaderInstanceCustomSlot::fillDataBuffer | ( | Entity * | caller,
|  | void * | buffer
| ) |  |
| pure virtual

Fills the buffer for one entry.

Parameters

  caller | The entity to fill the data for.
  buffer | The spot in the memory buffer to fill.

Implemented in nkGraphics::ShaderInstanceCustomDummySlot.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsGraphics/Shaders/Memory/ShaderInstanceCustomSlot.h